<?xml version= "1.0" encoding= "UTF-8"?>
<resources>
    <!-- Shootingmode -->
    <local name="SHOOTING_MODE_LIVE_FOCUS" back="LIVE_FOCUS" front="LIVE_FOCUS_LITE" enable="true" more="false" order="1"/>
    <local name="SHOOTING_MODE_PHOTO" back="PHOTO" front="PHOTO" enable="true" more="false" order="2"/>
    <local name="SHOOTING_MODE_VIDEO" back="VIDEO" front="VIDEO" enable="true" more="false" order="3"/>
    <local name="SHOOTING_MODE_PRO" back="PRO" enable="true" more="true" order="4"/>
    <local name="SHOOTING_MODE_PANORAMA" back="PANORAMA" enable="true" more="true" order="5" preview-size="1280x720" capture-size="2576x1932"/>
    <local name="SHOOTING_MODE_FOOD" back="FOOD" enable="true" more="true" order="6"/>
    <local name="SHOOTING_MODE_NIGHT" back="NIGHT" front="NIGHT" enable="true" more="true" order="7"/>
    <local name="SHOOTING_MODE_MACRO" back="MACRO" enable="true" more="true" order="8"/>
    <local name="SHOOTING_MODE_QR" back="QR" enable="true" more="false" order="100" preview-size="2400x1080"/>

    <!-- Capture resolution - BACK -->
    <local name="BACK_CAMERA_RESOLUTION_FULL_RATIO" value="4080x1836" />
    <local name="BACK_CAMERA_RESOLUTION_4BY3_LARGE" value="8160x6120" />
    <local name="BACK_CAMERA_RESOLUTION_4BY3_MEDIUM" value="4080x3060" />
    <local name="BACK_CAMERA_RESOLUTION_16BY9_LARGE" value="4080x2296" />
    <local name="BACK_CAMERA_RESOLUTION_16BY9_MEDIUM" value="4080x2296" />
    <local name="BACK_CAMERA_RESOLUTION_1BY1_LARGE" value="3056x3056" />
    <local name="BACK_CAMERA_RESOLUTION_1BY1_MEDIUM" value="3056x3056" />
    <local name="BACK_CAMERA_PICTURE_DEFAULT_RESOLUTION" value="4080x3060" />

    <!-- Capture resolution - FRONT -->
    <local name="FRONT_CAMERA_RESOLUTION_FULL_RATIO" value="4128x1860" />
    <local name="FRONT_CAMERA_RESOLUTION_4BY3_LARGE" value="4128x3096" />
    <local name="FRONT_CAMERA_RESOLUTION_16BY9_LARGE" value="4128x2322" />
    <local name="FRONT_CAMERA_RESOLUTION_16BY9_MEDIUM" value="4128x2322" />
    <local name="FRONT_CAMERA_RESOLUTION_1BY1_LARGE" value="3088x3088" />
    <local name="FRONT_CAMERA_RESOLUTION_1BY1_MEDIUM" value="3088x3088" />
    <local name="FRONT_CAMERA_PICTURE_DEFAULT_RESOLUTION" value="4128x3096" />

    <!-- Back Macro camera resolution -->
    <local name="BACK_MACRO_CAMERA_RESOLUTION_4BY3" value="1600x1200" />
    <local name="BACK_MACRO_CAMERA_RESOLUTION_16BY9" value="1600x900" />
    <local name="BACK_MACRO_CAMERA_RESOLUTION_1BY1" value="1200x1200" />
    <local name="BACK_MACRO_CAMERA_RESOLUTION_FULL_RATIO" value="1600x720" />

    <!-- Front camera sensor crop resolution -->
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_4BY3_LARGE" value="3408x2556"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_16BY9_LARGE" value="3712x2088"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_1BY1_LARGE" value="2544x2544"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_FULL_RATIO" value="3712x1668"/>

    <!-- Recording resolution - BACK -->
    <local name="BACK_CAMERA_RECORDING_DEFAULT_RESOLUTION" value="1920x1080"/>
    <local name="BACK_CAMERA_RECORDING_MIN_RESOLUTION" value="640x480"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080" value="true" hdr="false" hdr10="false" preview-size="1920x1080" snapshot-support="true" snapshot-size="4080x2296" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1280X720" value="true" hdr="true" hdr10="false" preview-size="1280x720" snapshot-support="true" snapshot-size="4080x2296" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1440" value="true" hdr="false" hdr10="false" preview-size="1440x1440" snapshot-support="true" snapshot-size="3056x3056" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_2400X1080" value="true" hdr="false" hdr10="false" preview-size="2400x1080" snapshot-support="true" snapshot-size="4080x1836" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_176X144" value="true"/>

    <!-- Recording resolution - FRONT -->
    <local name="FRONT_CAMERA_RECORDING_DEFAULT_RESOLUTION" value="1920x1080"/>
    <local name="FRONT_CAMERA_RECORDING_MIN_RESOLUTION" value="640x480"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080" value="true" hdr="false" hdr10="false" preview-size="1920x1080" snapshot-support="true" snapshot-size="4128x2322" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1280X720" value="true" hdr="true" hdr10="false" preview-size="1280x720" snapshot-support="true" snapshot-size="4128x2322" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1440" value="true" hdr="false" hdr10="false" preview-size="1440x1440" snapshot-support="true" snapshot-size="3088x3088" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_2400X1080" value="true" hdr="false" hdr10="false" preview-size="2400x1080" snapshot-support="true" snapshot-size="4128x1860" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_176X144" value="true"/>

    <!-- Recording resolution - Quick Take feature 3:4 ratio -->
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1080" value="false" hdr="true" hdr10="false" preview-size="960x720" snapshot-support="true" snapshot-size="4080x3060" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1080" value="false" hdr="true" hdr10="false" preview-size="960x720" snapshot-support="true" snapshot-size="4128x3096" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true"/>

    <!-- Camcorder resolution features -->
    <local name="REPRESENTATIVE_CAMCORDER_RESOLUTION_FOR_FULL_RATIO" value="2400x1080" />
    <local name="REPRESENTATIVE_CAMCORDER_RESOLUTION_FOR_1_1_RATIO" value="1440x1440" />
    <local name="REPRESENTATIVE_CAMCORDER_RESOLUTION_FOR_4_3_RATIO" value="1440x1080" />

    <!-- Live focus Resolutions - BACK -->
    <local name="BACK_LIVE_FOCUS_LOW_PERFORMANCE_CAMERA_RESOLUTION_FULL_RATIO" value="3264x1472" />
    <local name="BACK_LIVE_FOCUS_LOW_PERFORMANCE_CAMERA_RESOLUTION_16BY9_LARGE" value="3264x1836" />
    <local name="BACK_LIVE_FOCUS_LOW_PERFORMANCE_CAMERA_RESOLUTION_1BY1_LARGE" value="2448x2448" />
    <local name="BACK_LIVE_FOCUS_LOW_PERFORMANCE_CAMERA_RESOLUTION_4BY3_LARGE" value="3264x2448" />
    <local name="BACK_LIVE_FOCUS_LOW_PERFORMANCE_CAMERA_RESOLUTION_4BY3_MEDIUM" value="3264x2448" />

    <!-- Capture resolution - SUPER -->
    <local name="BACK_CAMERA_RESOLUTION_SUPER_RESOLUTION" value="8160x6120" />

    <!-- Real preview sizes -->
    <local name="REAL_PREVIEW_SIZE_20_9" value="2400x1080" />
    <local name="REAL_PREVIEW_SIZE_1_1" value="1088x1088" />
    <local name="REAL_PREVIEW_SIZE_16_9" value="1920x1080" />
    <local name="REAL_PREVIEW_SIZE_4_3" value="1440x1080" />

    <!-- Shutter LP features -->
    <local name="SUPPORT_TAP_AND_HOLD_CAMERA_BUTTON" value="true" />

    <!-- Multi-camera features -->
    <local name="BACK_MACRO_CAMERA_ID" value="60" />
    <local name="FRONT_CROP_FOV_CAMERA_ID" value="3" />

    <!-- Intelligent recognition -->
    <local name="SUPPORT_INTELLIGENT_RECOGNITION_TIPS" value="true" />
    <local name="SUPPORT_SCENE_OPTIMIZER_WITH_3_4H" value="false" />

    <!-- Super Large Resolution features-->
    <local name="SUPPORT_SUPER_RESOLUTION" value="true"/>
    <local name="SUPPORT_FRONT_SUPER_LARGE_RESOLUTION" value="false"/>

    <!-- Live focus & bokeh -->
    <local name="SUPPORT_BOKEH_FOCUSED_REGION" value="true"/>
    <local name="SUPPORT_DUAL_BOKEH_EFFECT" value="false"/>
    <local name="SUPPORT_SINGLE_BOKEH_EFFECT" value="false"/>
    <local name="SUPPORT_BACK_WIDE_NORMAL_DUAL_PORTRAIT" value="true"/>
    <local name="SUPPORT_LIVE_FOCUS_HDR_CAPTURE" value="true"/>

    <!-- Additional effects like live bokeh/motion photo/star effect in labs -->
    <local name="SUPPORT_ADDITIONAL_EFFECTS_WITH_SCENE_DETECTION" value="false" />
    <local name="SUPPORT_MOTION_PHOTO" value="false" />
    <local name="SUPPORT_SCENE_DETECTION_LITE" value="false" />
    <local name="SUPPORT_ADDITIONAL_SCENE_BRIGHT_NIGHT" value="false" />

    <!-- Camera related features -->
    <local name="SUPPORT_AUTO_WATERMARK" value="true" />
    <local name="CAMERA_AUTO_WATERMARK_NUMBER_OF_CAMERAS" value="3" />
    <local name="SUPPORT_VIDEO_STABILISATION_MENU_IN_SETTING" value="true" />

    <!-- Floating camera button -->
    <local name="SUPPORT_FLOATING_CAMERA_BUTTON" value="true"/>

    <!-- Live Beauty features -->
    <local name="SUPPORT_LIVE_BEAUTY_IN_AUTO_MODE" value="true"/>
    <local name="SUPPORT_LIVE_BEAUTY_MANUAL_RESHAPE" value="false"/>
    <local name="SUPPORT_SMART_BEAUTY_GLOBAL" value="true"/>
    <local name="SUPPORT_LIVE_BEAUTY_SHAPE_CORRECTION" value="false"/>
    <local name="SUPPORT_BEAUTY_BRIGHTEN" value="true"/>

    <!-- HEIF format -->
    <local name="SUPPORT_HEIF_FORMAT" value="true"/>

    <!-- Enable One sec burst -->
    <local name="SUPPORT_TRANSIENT_CAPTURE_ACTION" value="true"/>

    <!-- Camera Preview FPS Variations -->
    <local name="SINGLE_LIVE_FOCUS_PREVIEW_FPS_MAX" value="24" />
    <local name="FRONT_CAMERA_PREVIEW_FPS_MIN" value="8" />
    <local name="CAMERA_PREVIEW_FPS_MIN" value="10" />

    <!-- Performance -->
    <local name="LOW_PERFORMANCE_REAR_LIVE_FOCUS" value="true" />
    <local name="LOW_PERFORMANCE_RECORDING_VI" value="true" />
    <local name="SUPPORT_CAMERA_APP_ENTRY_PERFORMANCE" value="true" />
    <local name="PANORAMA_LOW_PERFORMANCE" value="true" />
    <local name="USE_KEY_SCREEN_INFLATION_DELAY" value="true" />
    <local name="MAX_POST_PROCESSING_COUNT_FOR_CAPTURE" value="2" />
    <local name="SUPPORT_IPP_EFFECT_CAPTURE_IN_CORE2" value="true"/>
    <local name="USE_BLACK_BACKGROUND_FOR_PREVIEW_VIEW" value="false"/>
    <local name="SUPPORT_LAZY_BOOT_COMPLETE_LOW_PERFORMANCE" value="true"/>
    <local name="SUPPORT_SUPER_LARGE_RESOLUTION_LOW_PERFORMANCE" value="true"/>

    <!-- Night mode features -->   
    <local name="LIMITATION_MULTI_CAPTURE_POST_PROCESSING_NIGHT_SHOT" value="true"/>
    <local name="SUPPORT_NIGHT_MODE_FRONT_ANGLE" value="true"/>
    <local name="SUPPORT_NIGHT_CIRCLE_SCREEN_FLASH" value="true" />

    <!-- AF features -->
    <local name="SUPPORT_MULTI_AF" value="false"/>
    <local name="SUPPORT_OBJECT_TRACKING_AF" value="false" />
    <local name="SUPPORT_FAST_REACTIVE_AF" value="false" />
    <local name="SUPPORT_DIVIDE_AE_AF" value="true" />

    <!-- Seamless camera switching related features -->
    <local name="SUPPORT_SEAMLESS_LENS_CHANGE_VI" value="true" />
    <local name="TRANSITION_SCALE_FACTOR_WIDE_TO_NORMAL" value="1.9f" />
    <local name="TRANSITION_NORMAL_TO_WIDE_ANIMATION_DURATION" value="500" />
    <local name="TRANSITION_WIDE_TO_NORMAL_ANIMATION_DURATION" value="500" />

    <!-- Support picture format -->
    <local name="CAMERA_SUPPORT_PICTURE_FORMAT" value="false"/>

    <!-- Quick launch features -->
    <local name="CAMERA_QUICK_LAUNCH_USING_POWER_KEY" value="true"/>

    <!-- Etc. features -->
    <local name="SUPPORT_DIGITAL_TELE_ZOOM" value="true" />
    <local name="MAX_BURST_CAPTURE_COUNT" value="30" />
    <local name="DEFAULT_MAX_ZOOM_VALUE" value="1000" />
    <local name="CAMCORDER_FRONT_ANTI_SHAKE" value="false" />
    <local name="SUPPORT_FRONT_VIDEO_BEAUTY" value="true" />
    <local name="SUPPORT_LEVEL_METER" value="true"/>
    <local name="SUPPORT_HDR10_PLUS_RECORDING" value="false"/>
    <local name="SUPPORT_VIDEO_HDR" value="false" />
    <local name="SUPPORT_LIVE_BEAUTY_SKIN_COLOR" value="false" />
    <local name="SUPPORT_POST_PICTURE_PROCESSING" value="true"/>
    <local name="DISPLAY_CUTOUT_ANIMATION_INFO" num-of-display-cutout="1" display-cutout-0-type="3" display-cutout-0-left="140" display-cutout-0-top="0" display-cutout-0-right="220" display-cutout-0-bottom="30"/>
    <local name="DISPLAY_CUTOUT_POSITION" value="1" />
    <local name="SUPPORT_HYPER_LAPSE_NIGHT" value="true" />
    <local name="SUPPORT_SUPER_VIDEO_STABILIZATION" value="false" />
    <local name="SUPPORT_AUTO_HDR_MENU" value="true" />
    <local name="LIMITATION_1BY1_RECORDING_DURING_SMARTVIEW" value="true" />
    <local name="LIMITATION_FHD_RECORDING_DURING_SMARTVIEW" value="true" />
    <local name="LIMITATION_FULL_RECORDING_DURING_SMARTVIEW" value="true" />
    <local name="LIMITATION_SLOWMOTION_DURING_SMARTVIEW" value="true" />
    <local name="LIMITATION_UHD_RECORDING_DURING_SMARTVIEW" value="true" />
    <local name="LIMITATION_VIDEO_RECORDING_DURING_SMARTVIEW" value="true" />
    <local name="CAMERA_BACKGROUND_OPEN_WHEN_BOOTING" value="true" />
    <local name="SUPPORT_QUICK_TAKE" value="true" />
    <local name="SUPPORT_VOICE_COMMAND" value="false" />
    <local name="SUPPORT_VIDEO_PALM_DETECTION" value="true"/>
    <local name="SUPPORT_INCREASE_DVFS_TIME_IN_LOW_MEMORY" value="true"/>
    <local name="LAUNCH_CAMERA_ALWAYS_IN_3_4_INSTEAD_OF_3_4H" value="true"/>
    <local name="SUPPORT_TO_USE_PPP" value="true"/>
    <local name="SUPPORT_SELFIE_FOCUS_HDR_CAPTURE" value="false"/>
    <local name="SUPPORT_FRONT_CAMERA_DYNAMIC_FOV" value="true"/>
    <local name="SUPPORT_VDIS_CENTER_CROP_FOR_PREVIEW_RECORDING" value="false" />
	<local name="SUPPORT_ADVANCED_RECORDING_OPTIONS" value="false"/>

    <!-- ProLite+ features -->
    <local name="SUPPORT_PRO_RESET" value="true"/>
    <local name="SUPPORT_PRO_AE_PRIORITY_MODE" value="true"/>
</resources>